import request from "@/utils/request.js";

/**
 * 查询台桌分类
 * @param {*} params
 * @returns
 */
export function queryShopArea(params) {
  return request({
    method: "get",
    url: "shopInfo/queryShopArea",
    params,
  });
}

/**
 * 查询台桌信息
 * @param {*} params
 * @returns
 */
export function queryShopTable(params) {
  return request({
    method: "get",
    url: "shopInfo/queryShopTable",
    params,
  });
}

/**
 * 清台
 * @param {*} params
 * @returns
 */
export function clearTable(data) {
  return request({
    method: "put",
    url: "/shopInfo/clearTable",
    data,
  });
}

/**
 * 选择用餐人数
 * @param {*} params
 * @returns
 */
export function orderChoseCount(data) {
  return request({
    method: "put",
    url: "/order/choseCount",
    data,
  });
}
